QGIS Application - Bug report #7468
Printing above A2 (not included) shrinks map contents in output
2013-03-28 09:24 AM - Alexandre Neto

Status: Closed

Priority: Severe/Regression

Assignee:

Category:

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 16421
Description

Using QGIS-master (4189f45) in windows 7 64 bit, Printing a very simple layout (only vector layers) in any format above A2 gives a
correct size output, but all map contents (including legend) reduced to a size near A2.

In QGIS 1.8.0, instead of resizing the map contents, part is trimmed on the right size of the paper.
Using "save as PDF" the problem does not occur in neither of the versions.

| don't think it's related to any other printing bug ticket (memory related):

#4821

#6498

#5840
#3687

History

#1 - 2013-06-06 09:23 AM - Regis Haubourg

Same kind of problems occured last year with atlas output. Do you still confirm?

#2 - 2013-07-12 11:44 AM - Giovanni Manghi
- Status changed from Open to Feedback

Hi Alexander, | cannot replicate the issue with the latest master on Windows 7 64 bit, using a bunch of SL vectors. | tested up to AQ at various dpi. It always
work ok printing as vector. Printing as raster | hit the infamous memory issue at >=300 dpi/A0, but not the issue described here.

#3 - 2013-07-15 12:49 AM - Hugo Mercier

Cannot replicate neither on the latest Master on Ubuntu 12.04

#4 - 2013-07-15 01:18 AM - Giovanni Manghi

- Resolution set to worksforme

Alexandre I'm closing this as it seems somehow fixed, please reopen if necessary.
#5 - 2013-07-15 01:32 AM - Giovanni Manghi
- Status changed from Feedback to Closed

Files

A1_qgis1.8.print_to_pdf.pdf 413 KB 2013-03-28 Alexandre Neto

A1_qgis1.9.print_to_pdf.pdf 334 KB 2013-03-28 Alexandre Neto

A1_qgis1.9.save_as_pdf.pdf 178 KB 2013-03-28 Alexandre Neto
